/[gentoo-x86]/x11-base/xorg-server/xorg-server-1.9.2.902.ebuild
Gentoo

Contents of /x11-base/xorg-server/xorg-server-1.9.2.902.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.3 - (show annotations) (download)
Wed Feb 9 08:55:02 2011 UTC (3 years, 5 months ago) by scarabeus
Branch: MAIN
CVS Tags: HEAD
Changes since 1.2: +1 -1 lines
FILE REMOVED
Version bump. Drop all unused versions.

(Portage version: 2.2.0_alpha22/cvs/Linux x86_64)

1 # Copyright 1999-2010 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/x11-base/xorg-server/xorg-server-1.9.2.902.ebuild,v 1.2 2010/12/27 05:05:25 dberkholz Exp $
4
5 EAPI=3
6 # They generate the configure.ac with wrong version of util-macros
7 # see bug #339988
8 XORG_EAUTORECONF="yes"
9 inherit xorg-2 multilib versionator
10
11 EGIT_REPO_URI="git://anongit.freedesktop.org/git/xorg/xserver"
12
13 OPENGL_DIR="xorg-x11"
14
15 DESCRIPTION="X.Org X servers"
16 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd"
17
18 IUSE_SERVERS="dmx kdrive xorg"
19 IUSE="${IUSE_SERVERS} doc ipv6 minimal nptl tslib +udev"
20 RDEPEND=">=app-admin/eselect-opengl-1.0.8
21 dev-libs/openssl
22 media-libs/freetype
23 >=x11-apps/iceauth-1.0.2
24 >=x11-apps/rgb-1.0.3
25 >=x11-apps/xauth-1.0.3
26 x11-apps/xkbcomp
27 >=x11-libs/libpciaccess-0.10.3
28 >=x11-libs/libXau-1.0.4
29 >=x11-libs/libXdmcp-1.0.2
30 >=x11-libs/libXfont-1.4.2
31 >=x11-libs/libxkbfile-1.0.4
32 >=x11-libs/pixman-0.15.20
33 >=x11-libs/xtrans-1.2.2
34 >=x11-misc/xbitmaps-1.0.1
35 >=x11-misc/xkeyboard-config-1.4
36 dmx? (
37 x11-libs/libXt
38 >=x11-libs/libdmx-1.0.99.1
39 >=x11-libs/libX11-1.1.5
40 >=x11-libs/libXaw-1.0.4
41 >=x11-libs/libXext-1.0.5
42 >=x11-libs/libXfixes-4.0.3
43 >=x11-libs/libXi-1.2.99.1
44 >=x11-libs/libXmu-1.0.3
45 >=x11-libs/libXres-1.0.3
46 >=x11-libs/libXtst-1.0.3
47 )
48 kdrive? (
49 >=x11-libs/libXext-1.0.5
50 x11-libs/libXv
51 )
52 !minimal? (
53 >=x11-libs/libX11-1.1.5
54 >=x11-libs/libXext-1.0.5
55 >=media-libs/mesa-7.8_rc[nptl=]
56 )
57 tslib? ( >=x11-libs/tslib-1.0 x11-proto/xcalibrateproto )
58 udev? ( >=sys-fs/udev-150 )"
59
60 DEPEND="${RDEPEND}
61 sys-devel/flex
62 >=x11-proto/bigreqsproto-1.1.0
63 >=x11-proto/compositeproto-0.4
64 >=x11-proto/damageproto-1.1
65 >=x11-proto/fixesproto-4.1
66 >=x11-proto/fontsproto-2.0.2
67 >=x11-proto/glproto-1.4.11
68 >=x11-proto/inputproto-1.9.99.902
69 >=x11-proto/kbproto-1.0.3
70 >=x11-proto/randrproto-1.2.99.3
71 >=x11-proto/recordproto-1.13.99.1
72 >=x11-proto/renderproto-0.11
73 >=x11-proto/resourceproto-1.0.2
74 >=x11-proto/scrnsaverproto-1.1
75 >=x11-proto/trapproto-3.4.3
76 >=x11-proto/videoproto-2.2.2
77 >=x11-proto/xcmiscproto-1.2.0
78 >=x11-proto/xextproto-7.0.99.3
79 >=x11-proto/xf86dgaproto-2.0.99.1
80 >=x11-proto/xf86rushproto-1.1.2
81 >=x11-proto/xf86vidmodeproto-2.2.99.1
82 >=x11-proto/xineramaproto-1.1.3
83 >=x11-proto/xproto-7.0.17
84 dmx? ( >=x11-proto/dmxproto-2.2.99.1 )
85 doc? (
86 >=app-doc/doxygen-1.6.1
87 app-text/xmlto
88 )
89 !minimal? (
90 >=x11-proto/xf86driproto-2.1.0
91 >=x11-proto/dri2proto-2.3
92 >=x11-libs/libdrm-2.4.20
93 )
94 >=x11-apps/xinit-1.3"
95
96 PDEPEND="
97 xorg? ( >=x11-base/xorg-drivers-$(get_version_component_range 1-2) )"
98
99 EPATCH_FORCE="yes"
100 EPATCH_SUFFIX="patch"
101
102 # These have been sent upstream
103 UPSTREAMED_PATCHES=(
104 # "${WORKDIR}/patches/"
105 )
106
107 PATCHES=(
108 "${UPSTREAMED_PATCHES[@]}"
109 "${FILESDIR}"/${PN}-disable-acpi.patch
110 "${FILESDIR}"/${PN}-1.9-nouveau-default.patch
111 )
112
113 pkg_setup() {
114 xorg-2_pkg_setup
115
116 use minimal || ensure_a_server_is_building
117
118 # localstatedir is used for the log location; we need to override the default
119 # from ebuild.sh
120 # sysconfdir is used for the xorg.conf location; same applies
121 # --enable-install-setuid needed because sparcs default off
122 # NOTE: fop is used for doc generating ; and i have no idea if gentoo
123 # package it somewhere
124 CONFIGURE_OPTIONS="
125 $(use_enable ipv6)
126 $(use_enable dmx)
127 $(use_enable kdrive)
128 $(use_enable kdrive kdrive-kbd)
129 $(use_enable kdrive kdrive-mouse)
130 $(use_enable kdrive kdrive-evdev)
131 $(use_enable tslib)
132 $(use_enable tslib xcalibrate)
133 $(use_enable !minimal xvfb)
134 $(use_enable !minimal xnest)
135 $(use_enable !minimal record)
136 $(use_enable !minimal xfree86-utils)
137 $(use_enable !minimal install-libxf86config)
138 $(use_enable !minimal dri)
139 $(use_enable !minimal dri2)
140 $(use_enable !minimal glx)
141 $(use_enable xorg)
142 $(use_enable nptl glx-tls)
143 $(use_enable udev config-udev)
144 $(use_with doc doxygen)
145 $(use_with doc xmlto)
146 --sysconfdir=/etc/X11
147 --localstatedir=/var
148 --enable-install-setuid
149 --with-fontrootdir=/usr/share/fonts
150 --with-xkb-output=/var/lib/xkb
151 --disable-config-hal
152 --without-dtrace
153 --without-fop
154 --with-os-vendor=Gentoo
155 ${conf_opts}"
156
157 # Xorg-server requires includes from OS mesa which are not visible for
158 # users of binary drivers.
159 # Due to the limitations of CONFIGURE_OPTIONS, we have to export this
160 mkdir -p "${T}/mesa-symlinks/GL"
161 for i in gl glx glxmd glxproto glxtokens; do
162 ln -s "${EROOT}usr/$(get_libdir)/opengl/xorg-x11/include/$i.h" "${T}/mesa-symlinks/GL/$i.h" || die
163 done
164 for i in glext glxext; do
165 ln -s "${EROOT}usr/$(get_libdir)/opengl/global/include/$i.h" "${T}/mesa-symlinks/GL/$i.h" || die
166 done
167 append-cppflags "-I${T}/mesa-symlinks"
168
169 # (#121394) Causes window corruption
170 filter-flags -fweb
171
172 # Incompatible with GCC 3.x SSP on x86, bug #244352
173 if use x86 ; then
174 if [[ $(gcc-major-version) -lt 4 ]]; then
175 filter-flags -fstack-protector
176 fi
177 fi
178
179 # Incompatible with GCC 3.x CPP, bug #314615
180 if [[ $(gcc-major-version) -lt 4 ]]; then
181 ewarn "GCC 3.x C preprocessor may cause build failures. Use GCC 4.x"
182 ewarn "or set CPP=cpp-4.3.4 (replace with the actual installed version)"
183 fi
184
185 # detect if we should inform user about ebuild breakage
186 if ! has_version "x11-base/xorg-server" ||
187 has_version "<x11-base/xorg-server-$(get_version_component_range 1-2)"; then
188 INFO="yes"
189 fi
190 }
191
192 src_install() {
193 xorg-2_src_install
194
195 dynamic_libgl_install
196
197 server_based_install
198
199 if ! use minimal && use xorg; then
200 # Install xorg.conf.example into docs
201 dodoc hw/xfree86/xorg.conf.example \
202 || die "couldn't install xorg.conf.example"
203 fi
204
205 newinitd "${FILESDIR}"/xdm.initd-3 xdm || die "initd file install failed"
206 newinitd "${FILESDIR}"/xdm-setup.initd-1 xdm-setup || die
207 newconfd "${FILESDIR}"/xdm.confd-3 xdm || die
208
209 # install the @x11-module-rebuild set for Portage
210 insinto /usr/share/portage/config/sets
211 newins "${FILESDIR}"/xorg-sets.conf xorg.conf || die
212 }
213
214 pkg_postinst() {
215 # sets up libGL and DRI2 symlinks if needed (ie, on a fresh install)
216 eselect opengl set --use-old xorg-x11
217
218 if [[ ${INFO} = yes ]]; then
219 elog "You should consider reading upgrade guide for this release:"
220 elog " http://www.gentoo.org/proj/en/desktop/x/x11/xorg-server-$(get_version_component_range 1-2)-upgrade-guide.xml"
221 echo
222 ewarn "You must rebuild all drivers if upgrading from <xorg-server-$(get_version_component_range 1-2)"
223 ewarn "because the ABI changed. If you cannot start X because"
224 ewarn "of module version mismatch errors, this is your problem."
225
226 echo
227 ewarn "You can generate a list of all installed packages in the x11-drivers"
228 ewarn "category using this command:"
229 ewarn " emerge portage-utils; qlist -I -C x11-drivers/"
230 fi
231 }
232
233 pkg_postrm() {
234 # Get rid of module dir to ensure opengl-update works properly
235 if ! has_version x11-base/xorg-server; then
236 if [[ -e ${ROOT}/usr/$(get_libdir)/xorg/modules ]]; then
237 rm -rf "${ROOT}"/usr/$(get_libdir)/xorg/modules
238 fi
239 fi
240 }
241
242 dynamic_libgl_install() {
243 # next section is to setup the dynamic libGL stuff
244 ebegin "Moving GL files for dynamic switching"
245 dodir /usr/$(get_libdir)/opengl/${OPENGL_DIR}/extensions
246 local x=""
247 for x in "${D}"/usr/$(get_libdir)/xorg/modules/extensions/lib{glx,dri,dri2}*; do
248 if [ -f ${x} -o -L ${x} ]; then
249 mv -f ${x} "${D}"/usr/$(get_libdir)/opengl/${OPENGL_DIR}/extensions
250 fi
251 done
252 eend 0
253 }
254
255 server_based_install() {
256 if ! use xorg; then
257 rm "${D}"/usr/share/man/man1/Xserver.1x \
258 "${D}"/usr/$(get_libdir)/xserver/SecurityPolicy \
259 "${D}"/usr/$(get_libdir)/pkgconfig/xorg-server.pc \
260 "${D}"/usr/share/man/man1/Xserver.1x
261 fi
262 }
263
264 ensure_a_server_is_building() {
265 for server in ${IUSE_SERVERS}; do
266 use ${server} && return;
267 done
268 eerror "You need to specify at least one server to build."
269 eerror "Valid servers are: ${IUSE_SERVERS}."
270 die "No servers were specified to build."
271 }

  ViewVC Help
Powered by ViewVC 1.1.20